## FTELL File Position Function

Section: Input/Ouput Functions

### Usage

Returns the current file position for a valid file handle. The general use of this function is

      n = ftell(handle)

The `handle` argument must be a valid and active file handle. The return is the offset into the file relative to the start of the file (in bytes).

### Example

Here is an example of using `ftell` to determine the current file position. We read 512 4-byte floats, which results in the file pointer being at position 512*4 = 2048.

    --> fp = fopen('test.dat','wb');
    --> fwrite(fp,randn(512,1));
    --> fclose(fp);
    --> fp = fopen('test.dat','rb');
    --> x = fread(fp,[512,1],'float');
    --> ftell(fp)

    ans =
     2048